Module ij
Package ij.plugin

# Class Profiler

java.lang.Object
ij.plugin.Profiler

All Implemented Interfaces:
  `PlotMaker`, `PlugIn`

public class Profiler extends Object implements PlugIn, PlotMaker
Implements the Analyze/Plot Profile and Edit/Options/Profile Plot Options commands.

## Constructor Summary

Constructors
Constructor
Description
`Profiler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doOptions()`
`Plot`
`getPlot()`
Returns a profile plot.
`ImagePlus`
`getSourceImage()`
Returns the ImagePlus used to generate the profile plots.
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Profiler

public Profiler()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### getPlot

public Plot getPlot()
Description copied from interface: `PlotMaker`
Returns a profile plot.

Specified by:
  `getPlot` in interface `PlotMaker`

### getSourceImage

public ImagePlus getSourceImage()
Description copied from interface: `PlotMaker`
Returns the ImagePlus used to generate the profile plots.

Specified by:
  `getSourceImage` in interface `PlotMaker`

### doOptions

public void doOptions()